Name:           librdkafka
Version:        0.11.4
Release:        4
Summary:        C library implementation of the Apache Kafka protocol
License:        BSD
URL:            https://github.com/edenhill/librdkafka
Source0:        https://github.com/edenhill/librdkafka/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++ python3 openssl-devel cyrus-sasl-devel lz4-devel

%description
ibrdkafka is a C library implementation of the Apache Kafka protocol, providing Producer, Consumer
and Admin clients. It was designed with message delivery reliability and high performance in mind,
current figures exceed 1 million msgs/second for the producer and 3 million msgs/second for the consumer.

%package        devel
Summary:        Development files for the Kafka C/C++ library
Requires:       %{name} = %{version}-%{release}

%description    devel
librdkafka is a C library implementation of the Apache Kafka protocol,containing both Producer and
Consumer support.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-lz4 --enable-ssl --enable-sasl
%make_build

%check
make check

%install
%make_install
%delete_la_and_a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc README.md CONFIGURATION.md
%license LICENSE LICENSE.snappy LICENSE.pycrc
%{_libdir}/{librdkafka.so.*,librdkafka++.so.*}

%files devel
%dir %{_includedir}/librdkafka
%attr(0644,root,root) %{_includedir}/librdkafka/*
%attr(0755,root,root) %{_libdir}/{librdkafka.so,librdkafka++.so}
%{_libdir}/pkgconfig/*

%changelog
* Mon Oct 26 2020 leiju <leiju4@huawei.com> - 0.11.4-4
- Modify BuildRequires from python2 to python3

* Fri Dec 20 2019 daiqianwen <daiqianwen@huawei.com> - 0.11.4-3
- Package init


